/*
 * Copyright (c) 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $Id$
 */
package com.sun.ts.tests.jaxrs.ee.rs.matrixparam.locator;

import javax.ws.rs.core.Application;

import com.sun.ts.tests.jaxrs.ee.rs.RuntimeExceptionMapper;
import com.sun.ts.tests.jaxrs.ee.rs.WebApplicationExceptionMapper;

import java.util.Set;
import java.util.HashSet;

public class TSAppConfig extends Application {

    public java.util.Set<java.lang.Class<?>> getClasses() {
        Set<Class<?>> resources = new HashSet<Class<?>>();
        resources.add(LocatorResource.class);
        resources.add(RuntimeExceptionMapper.class);
        resources.add(WebApplicationExceptionMapper.class);
        return resources;
    }
}
